# Generated by Django 3.1.7 on 2021-08-10 16:00

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0001_initial'),
    ]

    operations = [
        migrations.RenameField(
            model_name='despesa',
            old_name='categoriaDespesaId',
            new_name='categoria_despesa_id',
        ),
        migrations.RenameField(
            model_name='despesa',
            old_name='diariaDias',
            new_name='diaria_dias',
        ),
        migrations.RenameField(
            model_name='despesa',
            old_name='diariaQuantidadeDiaristas',
            new_name='diaria_quantidade_diaristas',
        ),
        migrations.RenameField(
            model_name='despesa',
            old_name='diariaValorDiaria',
            new_name='diaria_valor_diaria',
        ),
        migrations.RenameField(
            model_name='despesa',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='anoCompra',
            new_name='ano_compra',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='anoFabricacao',
            new_name='ano_fabricacao',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='durabilidadeEstimadaAnos',
            new_name='durabilidade_estimada_anos',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='marcaEModelo',
            new_name='marca_e_modelo',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='tipoEquipamentoId',
            new_name='safra_id',
        ),
        migrations.RenameField(
            model_name='equipamento',
            old_name='valorCompra',
            new_name='valor_compra',
        ),
        migrations.RenameField(
            model_name='producao',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='castanhalNumeroCastanheiras',
            new_name='castanhal_numero_castanheiras',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='castanhalNumeroFamilias',
            new_name='castanhal_numero_familias',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='castanhalTamanho',
            new_name='castanhal_tamanho',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='dataFinal',
            new_name='data_final',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='dataInicio',
            new_name='data_inicio',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='municipioId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='ufId',
            new_name='municipio_id',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='remuneracaoDesejadaPorDia',
            new_name='remuneracao_desejada_por_dia',
        ),
        migrations.RenameField(
            model_name='safra',
            old_name='upfId',
            new_name='uf_id',
        ),
        migrations.RenameField(
            model_name='trabalhoupf',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='trabalhoupf',
            old_name='remuneracaoDesejada',
            new_name='remuneracao_desejada',
        ),
        migrations.RenameField(
            model_name='trabalhoupfintegrante',
            old_name='trabalhoUpfId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='trabalhoupfintegrante',
            old_name='upfIntegranteId',
            new_name='trabalho_upf_id',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='dataNascimentoUsuario',
            new_name='data_nascimento_usuario',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='generoUsuario',
            new_name='genero_usuario',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='nomeComunidade',
            new_name='nome_comunidade',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='nomeUsuario',
            new_name='nome_usuario',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='unidadeArea',
            new_name='unidade_area',
        ),
        migrations.RenameField(
            model_name='upf',
            old_name='unidadeValor',
            new_name='unidade_valor',
        ),
        migrations.RenameField(
            model_name='upfintegrante',
            old_name='dataNascimento',
            new_name='data_nascimento',
        ),
        migrations.RenameField(
            model_name='upfintegrante',
            old_name='mainIntegrante',
            new_name='main_integrante',
        ),
        migrations.RenameField(
            model_name='upfintegrante',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='venda',
            old_name='compradorId',
            new_name='comprador_id',
        ),
        migrations.RenameField(
            model_name='venda',
            old_name='safraId',
            new_name='mobile_key',
        ),
        migrations.RenameField(
            model_name='venda',
            old_name='quitacaoAviamento',
            new_name='quitacao_aviamento',
        ),
        migrations.RenameField(
            model_name='venda',
            old_name='valorUnitario',
            new_name='valor_unitario',
        ),
        migrations.AddField(
            model_name='categoriadespesa',
            name='mobile_key',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='despesa',
            name='safra_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='equipamento',
            name='tipo_equipamento_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='producao',
            name='safra_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='safra',
            name='upf_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='tipoequipamento',
            name='mobile_key',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='trabalhoupf',
            name='safra_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='trabalhoupfintegrante',
            name='upf_integrante_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='upf',
            name='mobile_key',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='upfintegrante',
            name='safra_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='venda',
            name='safra_id',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='versaobancodados',
            name='mobile_key',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddConstraint(
            model_name='categoriadespesa',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='categoriadespesa_unique'),
        ),
        migrations.AddConstraint(
            model_name='despesa',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='despesa_unique'),
        ),
        migrations.AddConstraint(
            model_name='equipamento',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='equipamento_unique'),
        ),
        migrations.AddConstraint(
            model_name='producao',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='producao_unique'),
        ),
        migrations.AddConstraint(
            model_name='safra',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='safra_unique'),
        ),
        migrations.AddConstraint(
            model_name='tipoequipamento',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='tipoequipamento_unique'),
        ),
        migrations.AddConstraint(
            model_name='trabalhoupf',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='trabalhoupf_unique'),
        ),
        migrations.AddConstraint(
            model_name='trabalhoupfintegrante',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='trabalhoupfintegrante_unique'),
        ),
        migrations.AddConstraint(
            model_name='upf',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='upf_unique'),
        ),
        migrations.AddConstraint(
            model_name='upfintegrante',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='upfintegrante_unique'),
        ),
        migrations.AddConstraint(
            model_name='venda',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='venda_unique'),
        ),
        migrations.AddConstraint(
            model_name='versaobancodados',
            constraint=models.UniqueConstraint(fields=('id', 'mobile_key'), name='versaobancodados_unique'),
        ),
    ]
